Bug 47921 - Adobe symbol font problems with Java SDK 1.4.0Beta
Adobe symbol font problems with Java SDK 1.4.0Beta
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-07-08 23:11 EDT by dsamperi
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-12 20:34:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
output of xlsfonts|grep adobe-symbol (1.75 KB, patch)
2001-07-12 20:34 EDT, dsamperi
no flags Details | Diff

  None (edit)
Description dsamperi 2001-07-08 23:11:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.5 i686)

Description of problem:
If you run one of the demo's that comes with the Java SDK 1.4.0Beta for
Linux, for
example, 'java -jar SampleTree.jar', you get a stream of erros of the form:
specified in font.properties not found

This does not happen under Linux 6.1 (on my laptop).

How reproducible:

Steps to Reproduce:
1.Run 'java -jar SampleTree.jar' from the Java SDK 1.4.0 beta

Actual Results:  It works, but there is a stream of error messages about
unknown fonts.

Expected Results:  Should work without error messages (as it does under Red
Hat 6.1).

Additional info:
Comment 1 Mike A. Harris 2001-07-12 11:39:32 EDT
The %d in there makes it look like a bug in the code that is requesting 
the font.  Just a guess, the app has a "%%d" in a format string, but should
actually have a "%d" there.
Comment 2 Mike A. Harris 2001-07-12 11:43:16 EDT
Open up an xterm.  What does "xlsfonts | grep adobe-symbol" show?
Comment 3 dsamperi 2001-07-12 20:34:33 EDT
Created attachment 23467 [details]
output of xlsfonts|grep adobe-symbol
Comment 4 Mike A. Harris 2001-07-18 04:44:45 EDT
This appears to be an application bug, not an XFree86 bug.  The fonts
are there and list with xlsfonts fine.  As postulated before, it
appears to be a bug in the format string used to request a font by
the application.

That "%d" is the key.  If you have the source code for it, grep the sources
for "\-%%d\-" and you'll likely find the offending source.

Note You need to log in before you can comment on or make changes to this bug.